Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.Sequence
Class CorrelResult2PLSql

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
          edu.udo.cs.miningmart.compiler.wrapper.dista.Sequence.CorrelResult2PLSql

    public class CorrelResult2PLSql

extends ToPLSql

Version:
  $Id: CorrelResult2PLSql.java,v 1.5 2006/09/27 15:00:04 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`m_md, m_result_name, m4db`

Constructor Summary
`CorrelResult2PLSql()`

Method Summary
`void` | `convert(java.lang.Object o)`
`void` | `convertOn(CorrelResult r)`
`protected void` | `printPatternOn(Pattern r, int id)`
`protected void` | `printPatternsOn(Patterns r, int id)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`convertToFunctionOn, getM4Db, getResultName, printAttr, printFuncDeclaration, printFuncHeader, printFuncTrailer, printSpaceOn, setConnection, setMetaData, setResultName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorrelResult2PLSql

    public CorrelResult2PLSql()

Method Detail

### printPatternOn

    protected void printPatternOn(Pattern r,
                                  int id)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printPatternsOn

    protected void printPatternsOn(Patterns r,
                                   int id)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertOn

    public void convertOn(CorrelResult r)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convert

    public void convert(java.lang.Object o)
                 throws java.lang.Exception

  Overrides:
    `convert` in class `ToPLSql`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005